<?xml version="1.0" encoding="utf-8"?>
<!-- ENABLE INF PRELOAD
Usage:
Stage_inf_file is the node specifying inf the coinstaller should preload. Create one element per inf to preload. 

This element can OPTIONALLY specify attributes that can be either of the following:
SUPPORTEDOS: A list of ";" separated OSes that this inf needs to be preloaded on. If this is an empty string or is not present it means this infs has to be preloaded on all OSes
UNSUPPORTEDOS: A list of ";" separated OSes where this inf should not be preloaded. This attribute will be used only if SUPPORTEDOS is not specified or is an empty string. 

OS:
Windows 2000:		   500
Windows XP :		   501 
Windows Server 2003:	   502 
Windows Vista:		   600 

Windows XP 64 bit	   501_64
Windows Vista 64 bit	   600_64

example:

preload hpzid412.inf only on Win 2000, XP and 2k3
<stage_inf_file SUPPORTEDOS="500;501;502;">hpzid412.inf</stage_inf_file>

Preload hpzipr12.inf on all os' except Vista 32 and 64
<stage_inf_file UNSUPPORTEDOS="600;600_64;">hpzipr12.inf</stage_inf_file>

!!!!!!!!!! DO NOT FORGET THE TRAILING ";" IN THE LIST OF SUPPORTED/UNSUPPORTED OS !!!!!!!!!!
-->

<!-- ENABLE STACK TEARDOWN (Typically used for DOT4 devices that by default get installed over usbprint on Windows 2000)
Usage:
Specify the original hardware id that needs to be teared down as the node. The value should be the original USB vid pid based hardware id that has a match in the CIO infs. The above described attributes SUPPORTEDOS 
and UNSUPPORTEDOS can be applied to this aswell.

example:
<HEWLETT-PACKARDHP_LASERJET_P3010_SERIES>usb\VID_03F0&amp;PID_8D17</HEWLETT-PACKARDHP_LASERJET_P3010_SERIES>
<HEWLETT-PACKARDHP_LASERJET_P3010_SERIES>usb\VID_03F0&amp;PID_8D17&amp;REV_0100</HEWLETT-PACKARDHP_LASERJET_P3010_SERIES>

-->
<settings>
  <stage_inf_file SUPPORTEDOS="500;501;502;600;">hpc3010c.inf</stage_inf_file>
  <stage_inf_file SUPPORTEDOS="501_64;502_64;600_64;">hpc3010u.inf</stage_inf_file>

  <stage_inf_file SUPPORTEDOS="501;500;502;">hpzius13.inf</stage_inf_file>
  <stage_inf_file SUPPORTEDOS="501;500;502;">hpzid413.inf</stage_inf_file>
  <stage_inf_file SUPPORTEDOS="501;500;502;">hpzipr13.inf</stage_inf_file>
  <stage_inf_file SUPPORTEDOS="501;500;502;">hpzipa13.inf</stage_inf_file>

  <stage_inf_file SUPPORTEDOS="501_64;502_64;">hpzius23.inf</stage_inf_file>
  <stage_inf_file SUPPORTEDOS="501_64;502_64;">hpzipr23.inf</stage_inf_file>
  <stage_inf_file SUPPORTEDOS="501_64;502_64;">hpzipa23.inf</stage_inf_file>
  
  <stage_inf_file SUPPORTEDOS="600;600_64;">hpzid4vp.inf</stage_inf_file>


  <HEWLETT-PACKARDHP_LASERJET_P3010_SERIES>usb\VID_03F0&amp;PID_8D17</HEWLETT-PACKARDHP_LASERJET_P3010_SERIES>
  <HEWLETT-PACKARDHP_LASERJET_P3010_SERIES>usb\VID_03F0&amp;PID_8D17&amp;REV_0100</HEWLETT-PACKARDHP_LASERJET_P3010_SERIES>
 </settings>